> For the complete documentation index, see [llms.txt](https://docs.cryptofonts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cryptofonts.com/api/endpoints.md).

# Endpoints

## 👉 Get token details by chain ID and token address

<mark style="color:green;">`GET`</mark> `/{chainId}/{address}`

We recommend using this endpoint over the next one if you are working on a specific chain as requesting by address only can return more than one result if there are other token with the same address on other chains.

{% hint style="info" %}
You can pass checksum and non-checksum addresses
{% endhint %}

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name      | Type    | Description     |
| --------- | ------- | --------------- |
| `chainId` | integer | Chain number ID |
| `address` | string  | Token address   |

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "name": "Uniswap",
        "logoURI": "https://xkqpczltzicnmbqvihbc.supabase.co/storage/v1/object/public/logos/uni_7687.png",
        "symbol": "uni",
        "chainId": 1,
        "decimals": 18,
        "address": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984",
        "chain": "ethereum"
    }
]
```

{% endtab %}

{% tab title="400" %}

```json
{
"error":"No data found {address} on chain {chainId}"
}
```

{% endtab %}
{% endtabs %}

## 👉 Get token details by address

<mark style="color:green;">`GET`</mark> `/{address}`

\<Description of the endpoint>

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name      | Type   | Description   |
| --------- | ------ | ------------- |
| `address` | string | Token address |

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "name": "Uniswap",
        "logoURI": "https://xkqpczltzicnmbqvihbc.supabase.co/storage/v1/object/public/logos/uni_7687.png",
        "symbol": "uni",
        "chainId": 1,
        "decimals": 18,
        "address": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984",
        "chain": "ethereum"
    }
]
```

{% endtab %}

{% tab title="400" %}

```json
{
"error":"No data found for {address}"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cryptofonts.com/api/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
